ドキュメント

サポート

Unreserve

Documentation for Unreserve
読み終わるまでの所要時間 1 分最終更新 3日前

Unreserve a game server by its
<serverid>
on a specific machine.
You must issue this request from the dedicated game server itself when players leave or the game server is in an idle state. Both the machine ID and server ID are generated on Clanforge and passed through to the game server.
https://api.multiplay.co.uk/cfp/v1/machine/<machineid>/unreserve_server
METHODCONTENT TYPE
GETapplication/x-www-form-urlencoded

Request parameters

VARIABLEDESCRIPTIONOPTIONAL
machineidThe
<machineid>
parameter accepts an identifier of a machine within a fleet.
No
serveridThe
<serverid>
parameter accepts a game server instance ID of a game server on the specified machine.
No

Response fields

Field

Type

Description

Optional

uuidstringID of the allocationNo

Example request

curl --location --request GET 'https://api.multiplay.co.uk/cfp/v1/machine/<machineid>/unreserve_server?serverid=<serverid>' \--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'\--header 'Content-Type: application/x-www-form-urlencoded'

Example response

{ "success": <status>, "messages": [], "uuid": <uuid>}

Unreserve • Multiplay Clanforge • Unity Docs